Get Random Paragraph
Returns a single random paragraph from the Urantia Papers. Useful for daily quotes or exploration.
Response includes a navigation envelope with the previous and next paragraph refs (within the same paper, ordered by sortId). Refs are null at paper boundaries.
Use ?include=entities to include typed entity mentions in the response.
Use ?minLength=N and/or ?maxLength=N to filter by character count of the paragraph text.
Use ?edition=1955 (or another id from GET /editions) for the text of an older edition; the default is srt-2024. Use ?include=variants for the changes to each paragraph since 1955.
curl --request GET \
--url https://api.urantia.dev/paragraphs/randomimport requests
url = "https://api.urantia.dev/paragraphs/random"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.urantia.dev/paragraphs/random', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urantia.dev/paragraphs/random",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.urantia.dev/paragraphs/random"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.urantia.dev/paragraphs/random")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urantia.dev/paragraphs/random")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"id": "2:39.5.17",
"standardReferenceId": "39:5.17",
"sortId": "2.039.005.017",
"paperId": "39",
"sectionId": "5",
"partId": "2",
"paperTitle": "The Seraphic Hosts",
"sectionTitle": "Planetary Helpers",
"paragraphId": "17",
"text": "7. The Reserves. The Satania reserve corps of the planetary seraphim is maintained on Jerusem in close association with the reserves of the Material Sons. These abundant reserves repletely provide for every phase of the manifold activities of this seraphic order. These angels are also the personal message bearers of the local systems. They serve transition mortals, angels, and the Material Sons as well as others domiciled on the system headquarters. While Urantia is, at present, outside the spiritual circuits of Satania and Norlatiadek, you are otherwise in intimate touch with interplanetary affairs, for these messengers from Jerusem frequently come to this world as to all the other spheres of the system.",
"htmlText": "<span class=\"urantia-dev-pb-0\">7. <em>The Reserves.</em> The Satania reserve corps of the planetary seraphim is maintained on Jerusem in close association with the reserves of the Material Sons. These abundant reserves repletely provide for every phase of the manifold activities of this seraphic order. These angels are also the personal message bearers of the local systems. They serve transition mortals, angels, and the Material Sons as well as others domiciled on the system headquarters. While Urantia is, at present, outside the spiritual circuits of Satania and Norlatiadek, you are otherwise in intimate touch with interplanetary affairs, for these messengers from Jerusem frequently come to this world as to all the other spheres of the system.</span>",
"labels": [],
"audio": {
"tts-1-hd": {
"nova": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/nova/tts-1-hd-nova-2:39.5.17.mp3",
"format": "mp3",
"bitrate": 160,
"duration": 45.1,
"fileSize": 902880
}
}
},
"edition": "srt-2024"
},
"navigation": {
"prev": "39:5.16",
"next": "39:6.1"
},
"meta": {
"edition": {
"id": "srt-2024",
"label": "Standard Reference Text, 2024",
"year": 2024,
"foundationVersion": "1.22",
"versionStamp": "UF-202412132348"
}
}
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}Query Parameters
Language for translated fields. es gives Spanish text for all 197 papers: an AI translation, released as CC0, with a translation label on each paragraph. Paper, section, and part titles are in Spanish too, and so are the included Papers parallels and entity names; the Bible and the other works, and the topic labels, stay in English. Entity names exist in es only; the other languages give English. Each paragraph has a language field that states the language of its text.
eng, es, fr, pt, de, ko curl --request GET \
--url https://api.urantia.dev/paragraphs/randomimport requests
url = "https://api.urantia.dev/paragraphs/random"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.urantia.dev/paragraphs/random', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urantia.dev/paragraphs/random",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.urantia.dev/paragraphs/random"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.urantia.dev/paragraphs/random")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urantia.dev/paragraphs/random")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"id": "2:39.5.17",
"standardReferenceId": "39:5.17",
"sortId": "2.039.005.017",
"paperId": "39",
"sectionId": "5",
"partId": "2",
"paperTitle": "The Seraphic Hosts",
"sectionTitle": "Planetary Helpers",
"paragraphId": "17",
"text": "7. The Reserves. The Satania reserve corps of the planetary seraphim is maintained on Jerusem in close association with the reserves of the Material Sons. These abundant reserves repletely provide for every phase of the manifold activities of this seraphic order. These angels are also the personal message bearers of the local systems. They serve transition mortals, angels, and the Material Sons as well as others domiciled on the system headquarters. While Urantia is, at present, outside the spiritual circuits of Satania and Norlatiadek, you are otherwise in intimate touch with interplanetary affairs, for these messengers from Jerusem frequently come to this world as to all the other spheres of the system.",
"htmlText": "<span class=\"urantia-dev-pb-0\">7. <em>The Reserves.</em> The Satania reserve corps of the planetary seraphim is maintained on Jerusem in close association with the reserves of the Material Sons. These abundant reserves repletely provide for every phase of the manifold activities of this seraphic order. These angels are also the personal message bearers of the local systems. They serve transition mortals, angels, and the Material Sons as well as others domiciled on the system headquarters. While Urantia is, at present, outside the spiritual circuits of Satania and Norlatiadek, you are otherwise in intimate touch with interplanetary affairs, for these messengers from Jerusem frequently come to this world as to all the other spheres of the system.</span>",
"labels": [],
"audio": {
"tts-1-hd": {
"nova": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/nova/tts-1-hd-nova-2:39.5.17.mp3",
"format": "mp3",
"bitrate": 160,
"duration": 45.1,
"fileSize": 902880
}
}
},
"edition": "srt-2024"
},
"navigation": {
"prev": "39:5.16",
"next": "39:6.1"
},
"meta": {
"edition": {
"id": "srt-2024",
"label": "Standard Reference Text, 2024",
"year": 2024,
"foundationVersion": "1.22",
"versionStamp": "UF-202412132348"
}
}
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}
